=== debian/changelog ===
npm (0.2.19-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.
  * Replace long description with intro from upstream documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 11:32:28 +0200

npm (0.2.16-1) unstable; urgency=low

  [ Jérémy Lal ]
  * Initial release.
    Closes: #587525.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jan 2011 15:03:31 +0100
