=== debian/control ===
Source: npm
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 bash-completion
Standards-Version: 3.9.2
Homepage: http://github.com/isaacs/npm
Vcs-Git: git://git.debian.org/collab-maint/npm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/npm.git;a=summary

Package: npm
Architecture: all
Depends: nodejs (>= 0.2.6),
 nodejs-dev (>= 0.2.6),
 ${misc:Depends}
Description: package manager for nodejs
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.
