## npm 1.0.0

=== DESCRIPTION ===
Package: npm
Title: Interact with 'NPM'
Version: 1.0.0
Authors@R: 
    person(given = "John",
           family = "Coene",
           role = c("aut", "cre"),
           email = "jcoenep@gmail.com")
Description: Interact with 'NPM' from the 'R Console' to automate
    tasks and ease access to 'JavaScript'.
License: LGPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.1.2
Imports: assertthat, crayon, cli, erratum (>= 2.2.0)
NeedsCompilation: no
Packaged: 2022-01-18 20:01:59 UTC; john
Author: John Coene [aut, cre]
Maintainer: John Coene <jcoenep@gmail.com>
Repository: CRAN
Date/Publication: 2022-01-19 09:32:44 UTC
