## npm 1.1.4~dfsg

=== debian/changelog ===
npm (1.1.4~dfsg-2) unstable; urgency=low

  [ Jérémy Lal ]
  * debian/patches:
    + 1002_only_use_numeric_UIDs_and_GIDs_in_spawn.patch
      Upstream commit. Closes: #687052.
    + 2006_rename_node_to_nodejs.patch : apart from trivial rename of
      node to nodejs in shebangs and makefile, print a warning and refer
      to nodejs README on failure of a package lifecycle script.
      Closes: #686894.
  * debian/control:
    + Tighten nodejs version to the one after the rename.
    + Suggests: build-essential. Closes: #681356.

  [ Jonas Smedegaard ]
  * Directly use github.com (not broken githubredir.debian.net).
  * Allow Debian-Maintainer uploads.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Sep 2012 00:19:00 +0200

npm (1.1.4~dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Jérémy Lal ]
  * Get the source from github repository.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs and debhelper, and to
      depend unversioned on nodejs and O-dev: Required versions
      satisfied even in oldstable.
    + Build-depend on nodejs and ruby-ronn.
    + Depend on node-node-uuid, node-request, node-mkdirp,
      node-minimatch, node-semver, node-ini, node-graceful-fs,
      node-abbrev, node-nopt, node-fstream, node-rimraf, node-tar,
      node-which: Modules bundled with npm upstream yet sensible to
      reuse by other projects are packaged separately for Debian
      (exceptions are proto-list, read and slide).
  * Update copyright:
    + license changed to Expat+no-false-attribs, discussed at :
      http://lists.debian.org/debian-legal/2012/03/msg00030.html
    + Extend copyright year of debian/* section.
    + Added sections for the included modules.
    + Explain Source is repackaged.
    + Added (non-official) Files-Excluded paragraph in header.
  * DFSG repackaging (using cdbs upstream-tarball.mk), remove :
    + non-free html/*/GubbleBum-Blocky.ttf
    + all modules that are dependencies.
  * Patches :
    + Drop patches for missing shebangs, applied upstream.
    + Remove shebang from completion.sh as it is non-executable.
    + Drop patch to fix completion, no longer needed.
    + Comply with license: replace Original Author's bug reporting email
      address and url with information on how to report debian bugs.
    + Use ruby-ronn instead of ronnjs to build documentation.
    + Small documentation fixes.
  * npm configuration has moved from /etc/npm/rootrc, /etc/npm/userrc
    to /etc/npmrc.
  * npm is also installed as a node module, so has man(3) documentation.
  * Documentation installation:
    + Fix gz extension, override lintian errors.
    + Install and register html with doc-base.
  * Use githubredir for watch file.
  * README.Debian updated.
  * Use anonscm.d.o in control Vcs-* fields.
  * Bump policy compliance to standards-version 3.9.3.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Stop listing convenience copy of uuid.js: no longer included.
    + Extend a copyright year.
    + Abbreviate author middle name (to match upstream change).
    + Add Upstream-Name field.
  * Git-ignore .pc quilt subdir.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Apr 2012 10:16:32 +0200
