=== debian/control ===
Source: npm
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Jonas Smedegaard <dr@jones.dk>
DM-Upload-Allowed: yes
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 bash-completion,
 nodejs (>= 0.6.19~dfsg1-3),
 ruby-ronn
Standards-Version: 3.9.3
Homepage: http://github.com/isaacs/npm
Vcs-Git: git://git.debian.org/collab-maint/npm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/npm.git

Package: npm
Architecture: all
Depends: nodejs (>= 0.6.19~dfsg1-3),
 nodejs-dev,
 node-node-uuid,
 node-request,
 node-mkdirp,
 node-minimatch,
 node-semver,
 node-ini,
 node-graceful-fs,
 node-abbrev,
 node-nopt,
 node-fstream,
 node-rimraf,
 node-tar,
 node-which,
 ${misc:Depends}
Suggests: build-essential
Description: package manager for Node.js
 Node.js is an event-based server-side javascript engine.
 .
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.
