=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg[\d]*$// \
https://github.com/isaacs/npm/tags .*/tarball/v?(\d[\d\.]+)
