## npm 1.2.18~dfsg

=== debian/changelog ===
npm (1.2.18~dfsg-3) experimental; urgency=low

  * Add missing dependency on node-fstream-ignore.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 30 Apr 2013 00:28:32 +0200

npm (1.2.18~dfsg-2) experimental; urgency=low

  * Try to keep compatibility with nodejs 0.6 in
    debian/patches/2007_nodejs_0_6_compat.patch.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Apr 2013 00:13:30 +0200

npm (1.2.18~dfsg-1) experimental; urgency=low

  * New upstream release. (Closes: #695821, #705236)
  * debian/patches:
    + refresh
    + remove upstream patches.
  * debian/control:
    + update dependencies on external node-* modules
    + tighten dependencies on modules that are available in unstable
      and experimental, only when required by npm package.json.
    + remove DMUA field.
    + no longer Suggests: build-essential, since building is handled by
      node-gyp, not directly by npm.
  * debian/copyright:
    + update sections to match required modules,
    + update the list of excluded files,
    + comment why some modules are kept inside npm
  * debian/watch: fix again.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Apr 2013 21:03:50 +0200
