=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
-DM-Upload-Allowed: yes
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
@@ -19,22 +18,35 @@
 Package: npm
 Architecture: all
 Depends: nodejs (>= 0.6.19~dfsg1-3),
- nodejs-dev,
- node-node-uuid,
+ ${misc:Depends},
+ node-abbrev (>= 1.0.4),
+ node-ansi,
+ node-archy,
+ node-block-stream,
+ node-fstream (>= 0.1.22),
+ node-fstream-ignore,
+ node-glob (>= 3.1.21),
+ node-graceful-fs (>= 1.2.0),
+ node-inherits,
+ node-ini (>= 1.1.0),
+ node-lockfile,
+ node-lru-cache (>= 2.3.0),
+ node-minimatch (>= 0.2.11),
+ node-mkdirp (>= 0.3.3),
+ node-gyp (>= 0.9.3),
+ node-nopt (>= 2.1.1),
+ node-npmlog,
+ node-once,
+ node-osenv,
+ node-read,
+ node-read-package-json,
  node-request,
- node-mkdirp,
- node-minimatch,
- node-semver,
- node-ini,
- node-graceful-fs,
- node-abbrev,
- node-nopt,
- node-fstream,
+ node-retry,
  node-rimraf,
- node-tar,
- node-which,
- ${misc:Depends}
-Suggests: build-essential
+ node-semver (>= 1.1.2),
+ node-slide,
+ node-tar (>= 0.1.17),
+ node-which
 Description: package manager for Node.js
  Node.js is an event-based server-side javascript engine.
  .
