=== debian/changelog ===
npm (1.3.10~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.9.4
  * Update README.Debian with info about nodejs-legacy
    (Closes:#650345)
  * copyright:
    + switch npm to Artistic-2.0
    + add sections for editor and npm-user-validate
    + drop debian/* section
    + update list of excluded files
  * control:
    + loosen (build-)dependency on nodejs
    + Build-Depends on node-glob
    + depend on node-github-url-from-git, node-sha,
      and exclude them from tarball
    + bump versions of node-graceful-fs, node-gyp,
      node-read-package-json, node-request, node-rimraf,
      node-semver, node-tar
  * patches:
    + remove 2007 patch for compatibility with nodejs 0.6
    + remove 2001 patch, not needed with the new license
    + enhance 2005 path and forward it upstream
    + add patches to avoid dependency on cmd-shim and
      child-process-close modules
    + add 2001 patch to keep documentation buildable by ronn
      without unicode support
  * docs: new sections, simplify manpages install

 -- Jérémy Lal <kapouer@melix.org>  Sun, 08 Sep 2013 01:40:11 +0200
