=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
  debhelper,
  dh-buildinfo,
  bash-completion,
- nodejs (>= 0.6.19~dfsg1-3),
+ nodejs,
+ node-glob,
  ruby-ronn
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/isaacs/npm
-Vcs-Git: git://git.debian.org/collab-maint/npm.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/npm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/npm.git
 
 Package: npm
 Architecture: all
-Depends: nodejs (>= 0.6.19~dfsg1-3),
+Depends: nodejs,
  ${misc:Depends},
  node-abbrev (>= 1.0.4),
  node-ansi,
@@ -25,27 +26,29 @@
  node-block-stream,
  node-fstream (>= 0.1.22),
  node-fstream-ignore,
+ node-github-url-from-git,
  node-glob (>= 3.1.21),
- node-graceful-fs (>= 1.2.0),
+ node-graceful-fs (>= 2.0.0),
  node-inherits,
  node-ini (>= 1.1.0),
  node-lockfile,
  node-lru-cache (>= 2.3.0),
  node-minimatch (>= 0.2.11),
  node-mkdirp (>= 0.3.3),
- node-gyp (>= 0.9.3),
+ node-gyp (>= 0.10.9),
  node-nopt (>= 2.1.1),
  node-npmlog,
  node-once,
  node-osenv,
  node-read,
- node-read-package-json,
- node-request,
+ node-read-package-json (>= 1.1.0),
+ node-request (>= 2.25.0),
  node-retry,
- node-rimraf,
- node-semver (>= 1.1.2),
+ node-rimraf (>= 2.2.2),
+ node-semver (>= 2.1.0),
+ node-sha,
  node-slide,
- node-tar (>= 0.1.17),
+ node-tar (>= 0.1.18),
  node-which
 Description: package manager for Node.js
  Node.js is an event-based server-side javascript engine.
