=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 DEB_UPSTREAM_TARBALL_EXTENSION =
 DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
 DEB_UPSTREAM_TARBALL_SRCDIR = npm-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 7e8d20e6c845802fbc2315428e7d6d9c
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
 ./html/static/webfonts/23242D_3_0.* \
@@ -26,8 +25,11 @@
 ./node_modules/ansi/ \
 ./node_modules/archy/ \
 ./node_modules/block-stream/ \
+./node_modules/child-process-close/ \
+./node_modules/cmd-shim/ \
 ./node_modules/fstream/ \
 ./node_modules/fstream-npm/node_modules/fstream-ignore/ \
+./node_modules/github-url-from-git/ \
 ./node_modules/glob/ \
 ./node_modules/graceful-fs/ \
 ./node_modules/inherits/ \
@@ -47,6 +49,7 @@
 ./node_modules/retry/ \
 ./node_modules/rimraf/ \
 ./node_modules/semver/ \
+./node_modules/sha/ \
 ./node_modules/slide/ \
 ./node_modules/tar/ \
 ./node_modules/which/
@@ -65,39 +68,13 @@
 install/npm::
 	dh_bash-completion
 
-# Fix manpages file names : prepend npm- except for npm.1,
-# and link manpages from npm manroot to the ones in /usr/share/man
 # Fix permissions
 # Remove LICENSE files.
 binary-post-install/npm::
-	fManpages=`find $(CURDIR)/debian/npm/usr/share/man -name *.1`; \
-	for i in $$fManpages; do \
-		lDir=`dirname "$$i"`; \
-		lFile=`basename "$$i"`; \
-		lManDir=`basename "$$lDir"`; \
-		lRenamed="$$lFile"; \
-		if [ "$$lFile" != "npm.1" ]; then \
-			lRenamed="npm-$$lFile"; \
-			mv "$$i" "$$lDir/$$lRenamed"; \
-		fi; \
-		ln -s "../../../man/$$lManDir/$$lRenamed.gz" "$(CURDIR)/debian/npm/usr/share/npm/man/man1/$$lFile"; \
-	done
-	fManpages=`find $(CURDIR)/debian/npm/usr/share/man -name *.3`; \
-	for i in $$fManpages; do \
-		lDir=`dirname "$$i"`; \
-		lFile=`basename "$$i"`; \
-		lManDir=`basename "$$lDir"`; \
-		lRenamed="$$lFile"; \
-		if [ "$$lFile" != "npm.3" ]; then \
-			lRenamed="npm-$$lFile"; \
-			mv "$$i" "$$lDir/$$lRenamed"; \
-		fi; \
-		ln -s "../../../man/$$lManDir/$$lRenamed.gz" "$(CURDIR)/debian/npm/usr/share/npm/man/man3/$$lFile"; \
-	done
-	chmod a-x debian/npm/usr/share/npm/bin/*.js
+	chmod a-x debian/npm/usr/share/npm/bin/read-package-json.js
 	chmod a-x debian/npm/usr/share/npm/node_modules/uid-number/get-uid-gid.js
 	chmod a-x debian/npm/usr/share/npm/node_modules/npmconf/node_modules/config-chain/index.js
-	chmod a+x debian/npm/usr/share/npm/bin/npm-cli.js
+	sed -i -e "s|#!/usr/bin/env node|#!/usr/bin/nodejs|" debian/npm/usr/share/npm/node_modules/opener/opener.js
 	find debian/npm -name LICENSE -delete
 	find debian/npm -name LICENCE -delete
 	find debian/npm -name LICENSE.txt -delete
