## npm 1.4.21+ds

=== debian/changelog ===
npm (1.4.21+ds-2) unstable; urgency=medium

  * Depends node-ansi >= 0.3.0-2 as a replacement for
    ansicolors, ansistyles.
  * Update 2009_ansi-color-table.patch. (Closes: #756603)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 06 Aug 2014 00:28:58 +0200

npm (1.4.21+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.4.21+ds
  * control:
    + move Vcs to pkg-javascript
    + depends node-underscore
    + tighten dependency on node-nopt >= 3.0.1
    + build-depends node-marked
  * copyright:
    + add wildcards to Files-Excluded entries
    + exclude underscore module
    + several minor licenses changes
    + several new paragraphs for new bundled modules
  * patches:
    + 2010 to prevent a privacy breach in README.html
    + 2002 remove unicode symbols from package.json.md
  * override lintian privacy-breach-generic about link rel canonical,
    those links are only used by robots.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 29 Jul 2014 08:38:21 +0200

npm (1.4.4+ds-1) unstable; urgency=medium

  * New upstream release. (Closes: #740338)
  * Repackaging is no longer DFSG-needed, now only used to ease
    copyright maintenance.
  * Switch to uscan and debian/copyright Files-Excluded field for
    repackaging upstream tarball. Drop usage of cdbs upstream-tarball.
  * Install completion.sh (Closes: #672388)
  * Convenient removal of ansicolors, ansistyles, text-table.
    Instead, depend on node-ansi-color-table and add 2009 patch.
  * copyright:
    + npm copyright holder changed to npm, inc.
    + switch read-installed, promzard, uid-number to ISC license
    + add sections for path-is-inside,
      github-url-from-username-repo, npm-install-checks, columnify
    + remove couch-login section (no longer included)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 01 Mar 2014 02:57:59 +0100
