=== node_modules/node-gyp/node_modules/glob/node_modules/minimatch/node_modules/brace-expansion/node_modules/balanced-match/Makefile ===

test:
	@node_modules/.bin/tape test/*.js

.PHONY: test
