=== debian/changelog ===
npm (3.5.2-0ubuntu4) xenial; urgency=medium

  * Also make npm-cli.js executable. LP: #1523947

 -- LaMont Jones <lamont.jones@canonical.com>  Mon, 07 Dec 2015 12:36:45 -0700

npm (3.5.2-0ubuntu3) xenial; urgency=medium

  * More binaries executable.

 -- LaMont Jones <lamont.jones@canonical.com>  Mon, 07 Dec 2015 11:58:48 -0700

npm (3.5.2-0ubuntu2) xenial; urgency=medium

  * Fix bin/npm-cli.js to be executable.

 -- Blake Rouse <blake.rouse@canonical.com>  Mon, 07 Dec 2015 12:31:18 -0400

npm (3.5.2-0ubuntu1) xenial; urgency=medium

  * Imported Upstream version 3.5.2.
  * Fix patches to applie to the new upstream version. Remove 2008 patch
    as its already been fixed upstream. Rename 2009 and 2010 patches to stay
    in order.

 -- Blake Rouse <blake.rouse@canonical.com>  Thu, 03 Dec 2015 00:28:58 -0400
