=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: npm
 Section: web
 Priority: extra
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
@@ -10,18 +11,20 @@
  bash-completion,
  nodejs,
  node-glob,
- ruby-ronn
-Standards-Version: 3.9.4
+ ruby-ronn,
+ node-marked
+Standards-Version: 3.9.5
 Homepage: http://github.com/isaacs/npm
-Vcs-Git: git://anonscm.debian.org/collab-maint/npm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/npm.git
+Vcs-Git: git://anonscm.debian.org/pkg-javascript/npm.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/npm.git
 
 Package: npm
 Architecture: all
 Depends: nodejs,
  ${misc:Depends},
  node-abbrev (>= 1.0.4),
- node-ansi,
+ node-ansi (>= 0.3.0-2),
+ node-ansi-color-table,
  node-archy,
  node-block-stream,
  node-fstream (>= 0.1.22),
@@ -36,7 +39,7 @@
  node-minimatch (>= 0.2.11),
  node-mkdirp (>= 0.3.3),
  node-gyp (>= 0.10.9),
- node-nopt (>= 2.1.1),
+ node-nopt (>= 3.0.1),
  node-npmlog,
  node-once,
  node-osenv,
@@ -49,6 +52,7 @@
  node-sha,
  node-slide,
  node-tar (>= 0.1.18),
+ node-underscore,
  node-which
 Description: package manager for Node.js
  Node.js is an event-based server-side javascript engine.
