=== debian/rules ===
--- 
+++ 
@@ -24,16 +24,16 @@
 
 # Fix permissions
 # Remove LICENSE files.
-binary-post-install/npm::
+binary-fixup/npm::
+	dh_fixperms
+	chmod a+x debian/npm/usr/share/npm/node_modules/*/bin/*
+	chmod a+x debian/npm/usr/share/npm/bin/npm-cli.js
 	chmod a-x debian/npm/usr/share/npm/bin/read-package-json.js
 	chmod a-x debian/npm/usr/share/npm/lib/utils/completion.sh
 	chmod a-x debian/npm/usr/share/npm/node_modules/uid-number/get-uid-gid.js
-	chmod a-x debian/npm/usr/share/npm/node_modules/npmconf/node_modules/config-chain/index.js
 	sed -i -e "s|#!/usr/bin/env node|#!/usr/bin/nodejs|" \
-		debian/npm/usr/share/npm/node_modules/opener/opener.js \
-		debian/npm/usr/share/npm/node_modules/columnify/node_modules/strip-ansi/cli.js
+		debian/npm/usr/share/npm/node_modules/opener/opener.js
 	find debian/npm -name LICENSE -delete
 	find debian/npm -name LICENCE -delete
 	find debian/npm -name LICENSE.txt -delete
 	find debian/npm -name LICENSE.md -delete
-
